Package twisted :: Package manhole :: Module explorer :: Class ExplorerModule

[show private | hide private]
[frames | no frames]

## Class ExplorerModule

    Jellyable --+
                |
     Serializable --+
                    |
             Copyable --+
                        |
                Cacheable --+
                            |
                     Explorer --+
                                |
                               ExplorerModule

Method Summary
| `__init__(self, module, identifier)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``getStateToCacheAndObserveFor`(self, perspective, observer)` Get state to cache on the client and client-cache reference to observe locally. (inherited from `Cacheable`)
| ``getStateToCopy`(self)` Gather state to send when I am serialized for a peer. (inherited from `Copyable`)
| ``getStateToCopyFor`(self, perspective)` Gather state to send when I am serialized for a particular perspective. (inherited from `Explorer`)
| ``getTypeToCopy`(self)` Determine what type tag to send for me. (inherited from `Copyable`)
| ``getTypeToCopyFor`(self, perspective)` Determine what type tag to send for me. (inherited from `Copyable`)
| ``jellyFor`(self, jellier)` Return an appropriate tuple to serialize me. (inherited from `Cacheable`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| ``stoppedObserving`(self, perspective, observer)` This method is called when a client has stopped observing me. (inherited from `Cacheable`)
| `view_get_refcount(self, perspective)` (inherited from `Explorer`)

Instance Variable Summary
| `doc` - documentation string for the module
| `file` - the file the module is defined in
| `name` - the name the module was defined as

Class Variable Summary
`list` | `attributeGroups`
`list` | `properties`

Instance Variable Details

### doc

documentation string for the module

### file

the file the module is defined in

Attribute groups:

- classes -- the public classes provided by the module
- functions -- the public functions provided by the module
- data -- the public data members provided by the module

("Public" is taken to be "anything that doesn't start with _")

### name

the name the module was defined as

Class Variable Details

### attributeGroups

  Type:
    `list`
  Value:

        ['classes', 'functions', 'data']

### properties

  Type:
    `list`
  Value:

        ['name', 'doc', 'file']

Generated by Epydoc 1.1 on Sat Feb 15 21:19:08 2003 | http://epydoc.sf.net